spool BD\2-log_creaciontablas.log

DROP TABLE TFC.PAISOS CASCADE CONSTRAINTS;
CREATE TABLE TFC.PAISOS
(
  CODPAIS          	VARCHAR2(2)         NOT NULL,
  NOMPAIS		VARCHAR2(180)          NOT NULL
)
TABLESPACE TS_TAULES;

ALTER TABLE TFC.PAISOS
ADD CONSTRAINT PK_CODPAIS PRIMARY KEY (CODPAIS)
  USING INDEX
  TABLESPACE TS_INDEXS;


DROP TABLE TFC.APLICACIONS CASCADE CONSTRAINTS;
CREATE TABLE TFC.APLICACIONS
(
  IDAPLICACIO          	NUMBER         NOT NULL,
  NOMAPLICACIO         	VARCHAR2(40)   NOT NULL,
  VERSIOAPLICACIO      	NUMBER         NOT NULL,
  URLVIDEO            	VARCHAR2(100)           ,
  RESOLUCIMINIMA 	VARCHAR2(20)            ,
  RESOLUCIOMINIMA2 	VARCHAR2(20)            ,	
  DATAPUJADA		DATE			,	
  ESACTIVA  	        VARCHAR2(2)
)
TABLESPACE TS_TAULES;
ALTER TABLE TFC.APLICACIONS
ADD CONSTRAINT PK_IDAPLICACIO PRIMARY KEY (IDAPLICACIO)
  USING INDEX
  TABLESPACE TS_INDEXS;


DROP TABLE TFC.USUARIS CASCADE CONSTRAINTS;
CREATE TABLE TFC.USUARIS
(
  IDUSUARI          	NUMBER         NOT NULL,
  NUMMOBIL       	NUMBER   NOT NULL,
  NOMUSUARI		VARCHAR2(20)           ,	
  COGNOM1USUARI		VARCHAR2(20)           ,
  COGNOM2USUARI		VARCHAR2(20)           ,	
  PAISUSUARI            VARCHAR2(2)           ,
  OPERADORTELEFONIC     VARCHAR2(20)            ,
  EMAILUSUARI           VARCHAR2(40)
)
TABLESPACE TS_TAULES;
ALTER TABLE TFC.USUARIS
ADD CONSTRAINT PK_IDUSUARI PRIMARY KEY (IDUSUARI)
  USING INDEX
  TABLESPACE TS_INDEXS;

ALTER TABLE TFC.USUARIS
ADD CONSTRAINT FK_USUARISPAISOS FOREIGN KEY (PAISUSUARI)
REFERENCES PAISOS(CODPAIS);



DROP TABLE TFC.DESENVOLUPADORS CASCADE CONSTRAINTS;




CREATE TABLE TFC.DESENVOLUPADORS
(
  IDDESENVOLUPADOR          	NUMBER         NOT NULL,
  NOMEMPRESA		VARCHAR2(20)           NOT NULL,		
  NOMREPLEGAL		VARCHAR2(20)           ,		
  COGNOM1REPLEGAL	VARCHAR2(20)           ,
  COGNOM2REPLEGAL	VARCHAR2(20)           ,	
  CODPAISREGISTRE       VARCHAR2(2)            ,
  ADREAOFICINA         VARCHAR2(30)           ,
  TELEFON          NUMBER
)
TABLESPACE TS_TAULES;
 ALTER TABLE TFC.DESENVOLUPADORS
 ADD CONSTRAINT PK_IDDESENVOLUPADOR PRIMARY KEY (IDDESENVOLUPADOR)
  USING INDEX
  TABLESPACE TS_INDEXS;
ALTER TABLE TFC.DESENVOLUPADORS
 ADD CONSTRAINT FK_DESENVOLUPADORSPAISOS FOREIGN KEY (CODPAISREGISTRE)
 REFERENCES PAISOS(CODPAIS);




DROP TABLE TFC.SISTEMASOPERATIUS CASCADE CONSTRAINTS;
CREATE TABLE TFC.SISTEMASOPERATIUS
(
  IDSO          	NUMBER         NOT NULL,
  NOMSO		VARCHAR2(20)           NOT NULL
)
TABLESPACE TS_TAULES;

ALTER TABLE TFC.SISTEMASOPERATIUS
ADD CONSTRAINT PK_IDSO PRIMARY KEY (IDSO)
  USING INDEX
  TABLESPACE TS_INDEXS;


DROP TABLE TFC.IMEI CASCADE CONSTRAINTS;
CREATE TABLE TFC.IMEI
(
  IDIMEI          NUMBER               NOT NULL,   
  CODIMEI         VARCHAR2(15)         NOT NULL,
  MODDISPOSITIU		VARCHAR2(30)         NOT NULL,
  SODISPOSITIU		NUMBER,
  RESOLUCIODISPOSITIU	NUMBER,
  RESOLUCIODISPOSITIU2	NUMBER, 	
  IDUSUARIIMEI  NUMBER
)	
TABLESPACE TS_TAULES;

ALTER TABLE TFC.IMEI
ADD CONSTRAINT PK_CODIMEI PRIMARY KEY (CODIMEI)
  USING INDEX
  TABLESPACE TS_INDEXS;

ALTER TABLE TFC.IMEI
ADD CONSTRAINT FK_SODISPOSITIU FOREIGN KEY (SODISPOSITIU)
REFERENCES SISTEMASOPERATIUS(IDSO);
ALTER TABLE TFC.IMEI
ADD CONSTRAINT FK_IDUSUARI FOREIGN KEY (IDUSUARIIMEI)
REFERENCES USUARIS(IDUSUARI);

DROP TABLE TFC.DESCARREGAS CASCADE CONSTRAINTS;
CREATE TABLE TFC.DESCARREGAS
(
  CODIMEI          	VARCHAR2(15)         NOT NULL,
  IDAPLICACIO		NUMBER,
  IDDESCARREGA		NUMBER,
  PREUAPLICACIO		NUMBER,
  DATADESCARREGA	DATE,
  AO			NUMBER,		
  MODEPAGAMENT		VARCHAR2(10),
  FACTACUMULADA		NUMBER,
  TOTALDESCARREGAS	NUMBER,
  DIADESC		VARCHAR2(2),
  MESDESC		VARCHAR2(2),
  ANODESC		VARCHAR2(2)										
)	
TABLESPACE TS_TAULES;

ALTER TABLE TFC.DESCARREGAS
ADD CONSTRAINT PK_CODDESCARREGAS PRIMARY KEY (CODIMEI,IDAPLICACIO,IDDESCARREGA)
  USING INDEX
  TABLESPACE TS_INDEXS;

ALTER TABLE TFC.DESCARREGAS
ADD CONSTRAINT FK_IDAPLICACIODESCARREGAS FOREIGN KEY (IDAPLICACIO)
REFERENCES APLICACIONS(IDAPLICACIO);

ALTER TABLE TFC.DESCARREGAS
ADD CONSTRAINT FK_CODIMEIDESCARREGAS FOREIGN KEY (CODIMEI)
REFERENCES IMEI(CODIMEI);


DROP TABLE TFC.PREUSAPLICACIONS CASCADE CONSTRAINTS;
CREATE TABLE TFC.PREUSAPLICACIONS
(
  IDAPLICACIO		NUMBER			NOT NULL,
  CODPAIS		VARCHAR2(2)			NOT NULL,
  PREUAPLICACIO		NUMBER			NOT NULL,
  DESCRIPCIO		VARCHAR2(100)		NOT NULL
)	
TABLESPACE TS_TAULES;

ALTER TABLE TFC.PREUSAPLICACIONS
ADD CONSTRAINT PK_PREUSAPLICACIONS PRIMARY KEY (IDAPLICACIO,CODPAIS)
  USING INDEX
  TABLESPACE TS_INDEXS;

ALTER TABLE TFC.PREUSAPLICACIONS
ADD CONSTRAINT FK_IDAPLICACIO FOREIGN KEY (IDAPLICACIO)
REFERENCES APLICACIONS(IDAPLICACIO);

ALTER TABLE TFC.PREUSAPLICACIONS
ADD CONSTRAINT FK_PREUSPAISOS FOREIGN KEY (CODPAIS)
REFERENCES PAISOS(CODPAIS);


DROP TABLE TFC.SOSUPORTATS CASCADE CONSTRAINTS;
CREATE TABLE TFC.SOSUPORTATS
(
  IDAPLICACIO		NUMBER			NOT NULL,
  IDSO			NUMBER			NOT NULL,
  URLAPLICACIO		VARCHAR2(200)		NOT NULL,
  MIDAAPLICACIO		NUMBER			NOT NULL
)	
TABLESPACE TS_TAULES;

ALTER TABLE TFC.SOSUPORTATS
ADD CONSTRAINT PK_SOSUPORTATS PRIMARY KEY (IDAPLICACIO,IDSO)
  USING INDEX
  TABLESPACE TS_INDEXS;

ALTER TABLE TFC.SOSUPORTATS
ADD CONSTRAINT FK_IDAPLICACIOSO FOREIGN KEY (IDAPLICACIO)
REFERENCES APLICACIONS(IDAPLICACIO);

ALTER TABLE TFC.SOSUPORTATS
ADD CONSTRAINT FK_IDSO FOREIGN KEY (IDSO)
REFERENCES SISTEMASOPERATIUS(IDSO);

DROP TABLE TFC.DESENVOLUPAMENTS CASCADE CONSTRAINTS;
CREATE TABLE TFC.DESENVOLUPAMENTS
(
  IDDESENVOLUPADOR	NUMBER			NOT NULL,
  IDAPLICACIO		NUMBER			NOT NULL,
  IDDESENVOLUPAMENT	NUMBER			NOT NULL
)	
TABLESPACE TS_TAULES;

ALTER TABLE TFC.DESENVOLUPAMENTS
ADD CONSTRAINT PK_SODESENVOLUPAMENTS PRIMARY KEY (IDDESENVOLUPADOR,IDAPLICACIO)
  USING INDEX
  TABLESPACE TS_INDEXS;

ALTER TABLE TFC.DESENVOLUPAMENTS
ADD CONSTRAINT FK_IDDESENVOLUPADOR FOREIGN KEY (IDDESENVOLUPADOR)
REFERENCES DESENVOLUPADORS(IDDESENVOLUPADOR);

ALTER TABLE TFC.DESENVOLUPAMENTS
ADD CONSTRAINT FK_IDAPLICACIODESENVOLUPAMENT FOREIGN KEY (IDAPLICACIO)
REFERENCES APLICACIONS(IDAPLICACIO);

DROP TABLE TFC.LOGS ;

CREATE TABLE TFC.LOGS
(
  IDLOG			NUMBER			,
  DATALOG		DATE			,
  PROCEDIMENT		VARCHAR2(50)		,
  PARAMSENTRADA		VARCHAR2(1000)		,
  PARAMSSORTIDA		VARCHAR2(200)			
)	
TABLESPACE TS_TAULES;
/
spool off;